\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{proposaladmin}[CraftLaw for the CraftFuze Legal Project, Administrative Decree]

\LoadClass{proposal}

\renewcommand{\generateHeader}{
	% Header
	\fancyhead[LE,LO]{\@date}
	\fancyhead[CE,CO]{Official Journal of the Crafty Table}
	\fancyhead[RE,RO]{\@lawtitle}
	
	% Title
	\noindent%
	\begin{figure}
		\centering
		\includegraphics[width=30mm]{adminseal}
	\end{figure}
	\centering%
	\textbf{\large\fontfamily{phv}\fontseries{b}%
        \selectfont \@lawtitle}%
    \medskip%
}

\renewcommand{\signature}[2]{
	\bigskip%
	\begin{flushleft}
		Hereby ordering and burdening the Judiciary to publish this Act in the Official Journal of the Crafty Table; and that all shall be bound to its provisions and shall act faithfully in accordance with it.
		
		\medskip%
		
		Ordered as such here on this day, the \@date.
		
		\begingroup
		\wildcard{\textbf{#1}\newline President of the Crafty Table}

		\wildcard{\textbf{#2}\newline Owner of the Crafty Table}
		\par
		\endgroup
	\end{flushleft}
}